SKB_PUSH(9)

NAME
skb_push - add data to the start of a buffer

SYNOPSIS

unsigned char * skb_push (struct sk_buff * skb, unsigned int len);

ARGUMENTS

skb buffer to use

len amount of data to add

DESCRIPTION

This function extends the used data area of the buffer at the buffer start. If this would exceed the total buffer headroom the kernel will panic. A pointer to the first byte of the extra data is returned.